ServiceModelUtil (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: ServiceModelUtil

Package org.apache.cxf.service.model

# Class ServiceModelUtil

java.lang.Object
org.apache.cxf.service.model.ServiceModelUtil

public final class ServiceModelUtil extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EndpointInfo`
  `findBestEndpointInfo(QName qn, List<ServiceInfo> serviceInfos)`
  `static BindingOperationInfo`
  `getOperation(Exchange exchange, String opName)`
  `static BindingOperationInfo`
  `getOperation(Exchange exchange, QName opName)`
  `static BindingOperationInfo`
  `getOperationForWrapperElement(Exchange exchange, QName opName, boolean output)`
  `static List<String>`
  `getOperationInputPartNames(OperationInfo operation)`
  `static SchemaInfo`
  `getSchema(ServiceInfo serviceInfo, MessagePartInfo messagePartInfo)`
  `static Service`
  `getService(Exchange exchange)`
  `static QName`
  `getServiceQName(EndpointInfo ei)`
  `static String`
  `getTargetNamespace(Exchange exchange)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getService

    public static Service getService(Exchange exchange)

  - ### getTargetNamespace

    public static String getTargetNamespace(Exchange exchange)

  - ### getOperation

    public static BindingOperationInfo getOperation(Exchange exchange, String opName)

  - ### getOperation

    public static BindingOperationInfo getOperation(Exchange exchange, QName opName)

  - ### getOperationForWrapperElement

    public static BindingOperationInfo getOperationForWrapperElement(Exchange exchange, QName opName, boolean output)

  - ### getSchema

    public static SchemaInfo getSchema(ServiceInfo serviceInfo, MessagePartInfo messagePartInfo)

  - ### getOperationInputPartNames

    public static List<String> getOperationInputPartNames(OperationInfo operation)

  - ### findBestEndpointInfo

    public static EndpointInfo findBestEndpointInfo(QName qn, List<ServiceInfo> serviceInfos)

  - ### getServiceQName

    public static QName getServiceQName(EndpointInfo ei)